## gate.util.persistence
Class PersistenceManager.URLHolder

    java.lang.Object
      |
      +--gate.util.persistence.PersistenceManager.URLHolder

All Implemented Interfaces:
  Persistence, Serializable

Enclosing class:
  PersistenceManager

public static class PersistenceManager.URLHolder
extends Object
implements Persistence

URLs get upset when serialised and deserialised so we need to convert them to strings for storage

See Also:
  Serialized Form

Constructor Summary
`PersistenceManager.URLHolder()`

Method Summary
`Object` `createObject()` Creates a new object from the data contained.
`void` `extractDataFromSource(Object source)` Populates this Persistence with the data that needs to be stored from the original source object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceManager.URLHolder

    public PersistenceManager.URLHolder()

Method Detail

### extractDataFromSource

    public void extractDataFromSource(Object source)
                               throws PersistenceException

  Populates this Persistence with the data that needs to be stored from the original source object.
  Specified by:
    `extractDataFromSource` in interface `Persistence`

### createObject

    public Object createObject()
                        throws PersistenceException

  Creates a new object from the data contained. This new object is supposed to be a copy for the original object used as source for data extraction.
  Specified by:
    `createObject` in interface `Persistence`